% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-nodes.R
\name{draw_polygon_donut_pie_node_base}
\alias{draw_polygon_donut_pie_node_base}
\title{Draw Polygon Donut with Inner Pie}
\usage{
draw_polygon_donut_pie_node_base(
  x,
  y,
  size,
  donut_value = 1,
  donut_color = "#4A90D9",
  donut_shape = "hexagon",
  pie_values = NULL,
  pie_colors = NULL,
  pie_default_color = NULL,
  inner_ratio = 0.5,
  bg_color = "gray90",
  border.col = "black",
  border.width = 1,
  pie_border.width = NULL,
  donut_border.width = NULL
)
}
\arguments{
\item{x, y}{Node center coordinates.}

\item{size}{Outer radius.}

\item{donut_value}{Value (0-1) for the donut ring fill proportion.}

\item{donut_color}{Color for the filled portion of donut.}

\item{donut_shape}{Shape of the donut: "hexagon", "square", "diamond", "triangle", "pentagon".}

\item{pie_values}{Numeric vector for pie slices.}

\item{pie_colors}{Colors for pie slices.}

\item{pie_default_color}{Default pie color if pie_colors not provided.}

\item{inner_ratio}{Ratio of inner to outer radius (0-1).}

\item{bg_color}{Background color of the donut ring.}

\item{border.col}{Border color.}

\item{border.width}{Border line width.}

\item{pie_border.width}{Border width for pie slice dividers.}

\item{donut_border.width}{Border width for donut ring.}
}
\description{
Renders a polygon-shaped donut node with a circular pie chart inside.
Supports hexagon, square, diamond, triangle, pentagon shapes for the outer ring.
}
\keyword{internal}
